Net::Packet::Layer2(3)

NAME
Net::Packet::Layer2 - base class for all layer 2 modules

DESCRIPTION
This is the base class for Net::Packet::Layer2 subclasses.

It just provides those layers with inheritable attributes and methods.

METHODS

isEth
isNull
isRaw
isSll
    Returns true if Layer2 is of specified type, false otherwise.

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2004-2009, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.

RELATED MODULES
NetPacket, Net::RawIP, Net::RawSock